
/*****************************************************************************/
/*general for flexdefine*/
/*****************************************************************************/
#define FDF_SET         |=
#define FDF_RESET       &=~

#define FDF_ISSET       &
#define FDF_ISRESET     &~

/*****************************************************************************/
/*general for prozessor*/
/*****************************************************************************/
/*pins*/

#define PRZ_PINSET       FDF_SET
#define PRZ_PINRESET     FDF_RESET

#define PRZ_PINISSET     FDF_ISSET
#define PRZ_PINISRESET   FDF_ISRESET


/*directions*/

#define PRZ_DIRIN        FDF_RESET
#define PRZ_DIROUT       FDF_SET

#define PRZ_DIRISIN      FDF_ISRESET
#define PRZ_DIRISOUT     FDF_ISSET

/*****************************************************************************/
/*general for display*/
/*****************************************************************************/



#define MULDISP_SEGON       PRZ_PINSET
#define MULDISP_SEGOFF      PRZ_PINRESET
#define MULDISP_SEGISON     PRZ_PINISSET
#define MULDISP_SEGISOFF    PRZ_PINISRESET



/*****************************************************************************/
/*Pinning for display*/
/*****************************************************************************/
/*

  General:

  
     .-------------------------------------------------------------.
     |                      ------       ------       ------       |
     |  HV           |     |      |     |      |     |      |      |
     |              .'    .'     .'    .'     .'    .'     .'      |
     |              |     |      |     |      |     |      |       |
     |     -----   .'    .'-----.'    .'-----.'    .'-----.'       |
     |             |     |      |     |      |     |      |        |
     |            .'    .'     .'    .'     .'    .'     .'        |
     |  ___       |     |      | DP3 |      | DP2 |      |         |
     |  BAT              ------  o    ------  o    ------          |
     '-------------------------------------------------------------'
           DIG4          DIG3         DIG2         DIG1     
        
  Pinning:
  


     .-------------------------------------------------------------.
     |                      ------       ------       ------       |
     |  HV           |     |      |     |      |     |  A   |      |
     |              .'    .'     .'    .'     .'    .'F   B.'      |
     |              |     |      |     |      |     |   G  |       |
     |     -----   .'    .'-----.'    .'-----.'    .'-----.'       |
     |             |     |      |     |      |     |      |        |
     |            .'    .'     .'    .'     .'    .'E   C.'        |
     |  ___       |     |      |     |      |     |   D  |         |
     |  BAT              ------  o    ------  o    ------    | | | |
     '-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-'
       3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1                  
       0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1
   
       D C B A F G E D C B A F   E D B F E B G B G A C G D D Back
       1 1 1 1 1 1 1 2 2 2 2 2 H 2 3 3 3 3 C 4 A 3 3 3 2 P P Plane
                               V           4 - T         3 2
               
  Internal Circuit Diagram:
   

             
*/
/**************/
/* segments 1 */
/**************/

/*segmenta1*/

#define MULDISP_SEGA1DIRREG  DDRB
#define MULDISP_SEGA1OUTREG  PORTB
#define MULDISP_SEGA1INREG   PINB
#define MULDISP_SEGA1        1

/*segmentb1*/

#define MULDISP_SEGB1DIRREG  DDRB
#define MULDISP_SEGB1OUTREG  PORTB
#define MULDISP_SEGB1INREG   PINB
#define MULDISP_SEGB1        3

/*segmentc1*/ 
/*
#define MULDISP_SEGC1DIRREG  DDRC
#define MULDISP_SEGC1OUTREG  PORTC
#define MULDISP_SEGC1INREG   PINC
#define MULDISP_SEGC1        2
*/
/*segmentd1*/
/*
#define MULDISP_SEGD1DIRREG  DDRC
#define MULDISP_SEGD1OUTREG  PORTC
#define MULDISP_SEGD1INREG   PINC
#define MULDISP_SEGD1        3
*/
/*segmente1*/

#define MULDISP_SEGE1DIRREG  DDRD
#define MULDISP_SEGE1OUTREG  PORTD
#define MULDISP_SEGE1INREG   PIND
#define MULDISP_SEGE1        7

/*segmentf1*/

#define MULDISP_SEGF1DIRREG  DDRB
#define MULDISP_SEGF1OUTREG  PORTB
#define MULDISP_SEGF1INREG   PINB
#define MULDISP_SEGF1        0

/*segmentg1*/

#define MULDISP_SEGG1DIRREG  DDRB
#define MULDISP_SEGG1OUTREG  PORTB
#define MULDISP_SEGG1INREG   PINB
#define MULDISP_SEGG1        2

/**************/
/* segments 2 */
/**************/

/*segmenta2*/

#define MULDISP_SEGA2DIRREG  DDRD
#define MULDISP_SEGA2OUTREG  PORTD
#define MULDISP_SEGA2INREG   PIND
#define MULDISP_SEGA2        5

/*segmentb2*/

#define MULDISP_SEGB2DIRREG  DDRB
#define MULDISP_SEGB2OUTREG  PORTB
#define MULDISP_SEGB2INREG   PINB
#define MULDISP_SEGB2        4

/*segmentc2*/ 
/*
#define MULDISP_SEGC2DIRREG  DDRC
#define MULDISP_SEGC2OUTREG  PORTC
#define MULDISP_SEGC2INREG   PINC
#define MULDISP_SEGC2        2
*/
/*segmentd2*/
/*
#define MULDISP_SEGD2DIRREG  DDRC
#define MULDISP_SEGD2OUTREG  PORTC
#define MULDISP_SEGD2INREG   PINC
#define MULDISP_SEGD2        3
*/
/*segmente2*/

#define MULDISP_SEGE2DIRREG  DDRB
#define MULDISP_SEGE2OUTREG  PORTB
#define MULDISP_SEGE2INREG   PINB
#define MULDISP_SEGE2        7

/*segmentf2*/

#define MULDISP_SEGF2DIRREG  DDRB
#define MULDISP_SEGF2OUTREG  PORTB
#define MULDISP_SEGF2INREG   PINB
#define MULDISP_SEGF2        5

/*segmentg2*/

#define MULDISP_SEGG2DIRREG  DDRD
#define MULDISP_SEGG2OUTREG  PORTD
#define MULDISP_SEGG2INREG   PIND
#define MULDISP_SEGG2        2

/*dotpoint2*/
/*
#define MULDISP_DP2DIRREG    DDRD
#define MULDISP_DP2OUTREG    PORTD
#define MULDISP_DP2INREG     PIND
#define MULDISP_DP2          4
*/
/**************/
/* segments 3 */
/**************/

/*segmenta3*/

#define MULDISP_SEGA3DIRREG  DDRC
#define MULDISP_SEGA3OUTREG  PORTC
#define MULDISP_SEGA3INREG   PINC
#define MULDISP_SEGA3        5

/*segmentb3*/

#define MULDISP_SEGB3DIRREG  DDRB
#define MULDISP_SEGB3OUTREG  PORTB
#define MULDISP_SEGB3INREG   PINB
#define MULDISP_SEGB3        6

/*segmentc3*/ 
/*
#define MULDISP_SEGC3DIRREG  DDRC
#define MULDISP_SEGC3OUTREG  PORTC
#define MULDISP_SEGC3INREG   PINC
#define MULDISP_SEGC3        2
*/
/*segmentd3*/
/*
#define MULDISP_SEGD3DIRREG  DDRC
#define MULDISP_SEGD3OUTREG  PORTC
#define MULDISP_SEGD3INREG   PINC
#define MULDISP_SEGD3        3
*/
/*segmente3*/

#define MULDISP_SEGE3DIRREG  DDRC
#define MULDISP_SEGE3OUTREG  PORTC
#define MULDISP_SEGE3INREG   PINC
#define MULDISP_SEGE3        0

/*segmentf3*/

#define MULDISP_SEGF3DIRREG  DDRD
#define MULDISP_SEGF3OUTREG  PORTD
#define MULDISP_SEGF3INREG   PIND
#define MULDISP_SEGF3        6

/*segmentg3*/

#define MULDISP_SEGG3DIRREG  DDRC
#define MULDISP_SEGG3OUTREG  PORTC
#define MULDISP_SEGG3INREG   PINC
#define MULDISP_SEGG3        4

/*dotpoint3*/
/*
#define MULDISP_DP3DIRREG    DDRD
#define MULDISP_DP3OUTREG    PORTD
#define MULDISP_DP3INREG     PIND
#define MULDISP_DP3          4
*/
/**************/
/* segments 4 */
/**************/


/*segmentbc4*/

#define MULDISP_SEGBC4DIRREG DDRC
#define MULDISP_SEGBC4OUTREG PORTC
#define MULDISP_SEGBC4INREG  PINC
#define MULDISP_SEGBC4       1

/*segmentg4*/

#define MULDISP_SEGG4DIRREG  DDRC
#define MULDISP_SEGG4OUTREG  PORTC
#define MULDISP_SEGG4INREG   PINC
#define MULDISP_SEGG4        2

/**************/
/* signs      */
/**************/

/*BAT*/
/*
#define MULDISP_BATDIRREG    DDRD
#define MULDISP_BATOUTREG    PORTD
#define MULDISP_BATINREG     PIND
#define MULDISP_BAT          4
*/
/*HV*/
/*
#define MULDISP_HVDIRREG     DDRD
#define MULDISP_HVOUTREG     PORTD
#define MULDISP_HVINREG      PIND
#define MULDISP_HV           4
*/
/**************/
/* BACKPLANE  */
/**************/


#define MULDISP_BACKDIRREG   DDRC
#define MULDISP_BACKOUTREG   PORTC
#define MULDISP_BACKINREG    PINC
#define MULDISP_BACK         3



/*****************************************************************************/
/*Used defines*/
/*****************************************************************************/

/*      example:                                DDRC  |= (1<<4)
                                                ----  --     -
                                                 /     |      \
                                               /       |        \
                                             /         |          \
                                           /           |            \
                                          |            |             |
                                          V            V             V
*/
/**************/
/* segments 1 */
/**************/

#define MULDISP_SEGA1_ON     MULDISP_SEGA1OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGA1)
#define MULDISP_SEGA1_OFF    MULDISP_SEGA1OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGA1)
#define MULDISP_SEGA1_IN     MULDISP_SEGA1DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGA1)
#define MULDISP_SEGA1_OUT    MULDISP_SEGA1DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGA1)

#define MULDISP_SEGA1IS_ON   (1<<MULDISP_SEGA1)   MULDISP_SEGISON      MULDISP_SEGA1INREG 
#define MULDISP_SEGA1IS_OFF  (1<<MULDISP_SEGA1)   MULDISP_SEGISOFF     MULDISP_SEGA1INREG 
#define MULDISP_SEGA1IS_IN   (1<<MULDISP_SEGA1)   PRZ_DIRISIN          MULDISP_SEGA1DIRREG     
#define MULDISP_SEGA1IS_OUT  (1<<MULDISP_SEGA1)   PRZ_DIRISOUT         MULDISP_SEGA1DIRREG    


#define MULDISP_SEGB1_ON     MULDISP_SEGB1OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGB1)
#define MULDISP_SEGB1_OFF    MULDISP_SEGB1OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGB1)
#define MULDISP_SEGB1_IN     MULDISP_SEGB1DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGB1)
#define MULDISP_SEGB1_OUT    MULDISP_SEGB1DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGB1)

#define MULDISP_SEGB1IS_ON   (1<<MULDISP_SEGB1)   MULDISP_SEGISON      MULDISP_SEGB1INREG 
#define MULDISP_SEGB1IS_OFF  (1<<MULDISP_SEGB1)   MULDISP_SEGISOFF     MULDISP_SEGB1INREG 
#define MULDISP_SEGB1IS_IN   (1<<MULDISP_SEGB1)   PRZ_DIRISIN          MULDISP_SEGB1DIRREG     
#define MULDISP_SEGB1IS_OUT  (1<<MULDISP_SEGB1)   PRZ_DIRISOUT         MULDISP_SEGB1DIRREG 
   
/*
#define MULDISP_SEGC1_ON     MULDISP_SEGC1OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGC1)
#define MULDISP_SEGC1_OFF    MULDISP_SEGC1OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGC1)
#define MULDISP_SEGC1_IN     MULDISP_SEGC1DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGC1)
#define MULDISP_SEGC1_OUT    MULDISP_SEGC1DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGC1)

#define MULDISP_SEGC1IS_ON   (1<<MULDISP_SEGC1)   MULDISP_SEGISON      MULDISP_SEGC1INREG 
#define MULDISP_SEGC1IS_OFF  (1<<MULDISP_SEGC1)   MULDISP_SEGISOFF     MULDISP_SEGC1INREG 
#define MULDISP_SEGC1IS_IN   (1<<MULDISP_SEGC1)   PRZ_DIRISIN          MULDISP_SEGC1DIRREG     
#define MULDISP_SEGC1IS_OUT  (1<<MULDISP_SEGC1)   PRZ_DIRISOUT         MULDISP_SEGC1DIRREG  


#define MULDISP_SEGD1_ON     MULDISP_SEGD1OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGD1)
#define MULDISP_SEGD1_OFF    MULDISP_SEGD1OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGD1)
#define MULDISP_SEGD1_IN     MULDISP_SEGD1DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGD1)
#define MULDISP_SEGD1_OUT    MULDISP_SEGD1DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGD1)

#define MULDISP_SEGD1IS_ON   (1<<MULDISP_SEGD1)   MULDISP_SEGISON      MULDISP_SEGD1INREG 
#define MULDISP_SEGD1IS_OFF  (1<<MULDISP_SEGD1)   MULDISP_SEGISOFF     MULDISP_SEGD1INREG 
#define MULDISP_SEGD1IS_IN   (1<<MULDISP_SEGD1)   PRZ_DIRISIN          MULDISP_SEGD1DIRREG     
#define MULDISP_SEGD1IS_OUT  (1<<MULDISP_SEGD1)   PRZ_DIRISOUT         MULDISP_SEGD1DIRREG 
*/

#define MULDISP_SEGE1_ON     MULDISP_SEGE1OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGE1)
#define MULDISP_SEGE1_OFF    MULDISP_SEGE1OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGE1)
#define MULDISP_SEGE1_IN     MULDISP_SEGE1DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGE1)
#define MULDISP_SEGE1_OUT    MULDISP_SEGE1DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGE1)

#define MULDISP_SEGE1IS_ON   (1<<MULDISP_SEGE1)   MULDISP_SEGISON      MULDISP_SEGE1INREG 
#define MULDISP_SEGE1IS_OFF  (1<<MULDISP_SEGE1)   MULDISP_SEGISOFF     MULDISP_SEGE1INREG 
#define MULDISP_SEGE1IS_IN   (1<<MULDISP_SEGE1)   PRZ_DIRISIN          MULDISP_SEGE1DIRREG     
#define MULDISP_SEGE1IS_OUT  (1<<MULDISP_SEGE1)   PRZ_DIRISOUT         MULDISP_SEGE1DIRREG  
 

#define MULDISP_SEGF1_ON     MULDISP_SEGF1OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGF1)
#define MULDISP_SEGF1_OFF    MULDISP_SEGF1OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGF1)
#define MULDISP_SEGF1_IN     MULDISP_SEGF1DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGF1)
#define MULDISP_SEGF1_OUT    MULDISP_SEGF1DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGF1)

#define MULDISP_SEGF1IS_ON   (1<<MULDISP_SEGF1)   MULDISP_SEGISON      MULDISP_SEGF1INREG 
#define MULDISP_SEGF1IS_OFF  (1<<MULDISP_SEGF1)   MULDISP_SEGISOFF     MULDISP_SEGF1INREG 
#define MULDISP_SEGF1IS_IN   (1<<MULDISP_SEGF1)   PRZ_DIRISIN          MULDISP_SEGF1DIRREG     
#define MULDISP_SEGF1IS_OUT  (1<<MULDISP_SEGF1)   PRZ_DIRISOUT         MULDISP_SEGF1DIRREG  


#define MULDISP_SEGG1_ON     MULDISP_SEGG1OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGG1)
#define MULDISP_SEGG1_OFF    MULDISP_SEGG1OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGG1)
#define MULDISP_SEGG1_IN     MULDISP_SEGG1DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGG1)
#define MULDISP_SEGG1_OUT    MULDISP_SEGG1DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGG1)

#define MULDISP_SEGG1IS_ON   (1<<MULDISP_SEGG1)   MULDISP_SEGISON      MULDISP_SEGG1INREG 
#define MULDISP_SEGG1IS_OFF  (1<<MULDISP_SEGG1)   MULDISP_SEGISOFF     MULDISP_SEGG1INREG 
#define MULDISP_SEGG1IS_IN   (1<<MULDISP_SEGG1)   PRZ_DIRISIN          MULDISP_SEGG1DIRREG     
#define MULDISP_SEGG1IS_OUT  (1<<MULDISP_SEGG1)   PRZ_DIRISOUT         MULDISP_SEGG1DIRREG  


/**************/
/* segments 2 */
/**************/

#define MULDISP_SEGA2_ON     MULDISP_SEGA2OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGA2)
#define MULDISP_SEGA2_OFF    MULDISP_SEGA2OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGA2)
#define MULDISP_SEGA2_IN     MULDISP_SEGA2DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGA2)
#define MULDISP_SEGA2_OUT    MULDISP_SEGA2DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGA2)

#define MULDISP_SEGA2IS_ON   (1<<MULDISP_SEGA2)   MULDISP_SEGISON      MULDISP_SEGA2INREG 
#define MULDISP_SEGA2IS_OFF  (1<<MULDISP_SEGA2)   MULDISP_SEGISOFF     MULDISP_SEGA2INREG 
#define MULDISP_SEGA2IS_IN   (1<<MULDISP_SEGA2)   PRZ_DIRISIN          MULDISP_SEGA2DIRREG     
#define MULDISP_SEGA2IS_OUT  (1<<MULDISP_SEGA2)   PRZ_DIRISOUT         MULDISP_SEGA2DIRREG    


#define MULDISP_SEGB2_ON     MULDISP_SEGB2OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGB2)
#define MULDISP_SEGB2_OFF    MULDISP_SEGB2OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGB2)
#define MULDISP_SEGB2_IN     MULDISP_SEGB2DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGB2)
#define MULDISP_SEGB2_OUT    MULDISP_SEGB2DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGB2)

#define MULDISP_SEGB2IS_ON   (1<<MULDISP_SEGB2)   MULDISP_SEGISON      MULDISP_SEGB2INREG 
#define MULDISP_SEGB2IS_OFF  (1<<MULDISP_SEGB2)   MULDISP_SEGISOFF     MULDISP_SEGB2INREG 
#define MULDISP_SEGB2IS_IN   (1<<MULDISP_SEGB2)   PRZ_DIRISIN          MULDISP_SEGB2DIRREG     
#define MULDISP_SEGB2IS_OUT  (1<<MULDISP_SEGB2)   PRZ_DIRISOUT         MULDISP_SEGB2DIRREG 
   
/*
#define MULDISP_SEGC2_ON     MULDISP_SEGC2OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGC2)
#define MULDISP_SEGC2_OFF    MULDISP_SEGC2OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGC2)
#define MULDISP_SEGC2_IN     MULDISP_SEGC2DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGC2)
#define MULDISP_SEGC2_OUT    MULDISP_SEGC2DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGC2)

#define MULDISP_SEGC2IS_ON   (1<<MULDISP_SEGC2)   MULDISP_SEGISON      MULDISP_SEGC2INREG 
#define MULDISP_SEGC2IS_OFF  (1<<MULDISP_SEGC2)   MULDISP_SEGISOFF     MULDISP_SEGC2INREG 
#define MULDISP_SEGC2IS_IN   (1<<MULDISP_SEGC2)   PRZ_DIRISIN          MULDISP_SEGC2DIRREG     
#define MULDISP_SEGC2IS_OUT  (1<<MULDISP_SEGC2)   PRZ_DIRISOUT         MULDISP_SEGC2DIRREG  


#define MULDISP_SEGD2_ON     MULDISP_SEGD2OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGD2)
#define MULDISP_SEGD2_OFF    MULDISP_SEGD2OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGD2)
#define MULDISP_SEGD2_IN     MULDISP_SEGD2DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGD2)
#define MULDISP_SEGD2_OUT    MULDISP_SEGD2DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGD2)

#define MULDISP_SEGD2IS_ON   (1<<MULDISP_SEGD2)   MULDISP_SEGISON      MULDISP_SEGD2INREG 
#define MULDISP_SEGD2IS_OFF  (1<<MULDISP_SEGD2)   MULDISP_SEGISOFF     MULDISP_SEGD2INREG 
#define MULDISP_SEGD2IS_IN   (1<<MULDISP_SEGD2)   PRZ_DIRISIN          MULDISP_SEGD2DIRREG     
#define MULDISP_SEGD2IS_OUT  (1<<MULDISP_SEGD2)   PRZ_DIRISOUT         MULDISP_SEGD2DIRREG 
*/

#define MULDISP_SEGE2_ON     MULDISP_SEGE2OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGE2)
#define MULDISP_SEGE2_OFF    MULDISP_SEGE2OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGE2)
#define MULDISP_SEGE2_IN     MULDISP_SEGE2DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGE2)
#define MULDISP_SEGE2_OUT    MULDISP_SEGE2DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGE2)

#define MULDISP_SEGE2IS_ON   (1<<MULDISP_SEGE2)   MULDISP_SEGISON      MULDISP_SEGE2INREG 
#define MULDISP_SEGE2IS_OFF  (1<<MULDISP_SEGE2)   MULDISP_SEGISOFF     MULDISP_SEGE2INREG 
#define MULDISP_SEGE2IS_IN   (1<<MULDISP_SEGE2)   PRZ_DIRISIN          MULDISP_SEGE2DIRREG     
#define MULDISP_SEGE2IS_OUT  (1<<MULDISP_SEGE2)   PRZ_DIRISOUT         MULDISP_SEGE2DIRREG  
 

#define MULDISP_SEGF2_ON     MULDISP_SEGF2OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGF2)
#define MULDISP_SEGF2_OFF    MULDISP_SEGF2OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGF2)
#define MULDISP_SEGF2_IN     MULDISP_SEGF2DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGF2)
#define MULDISP_SEGF2_OUT    MULDISP_SEGF2DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGF2)

#define MULDISP_SEGF2IS_ON   (1<<MULDISP_SEGF2)   MULDISP_SEGISON      MULDISP_SEGF2INREG 
#define MULDISP_SEGF2IS_OFF  (1<<MULDISP_SEGF2)   MULDISP_SEGISOFF     MULDISP_SEGF2INREG 
#define MULDISP_SEGF2IS_IN   (1<<MULDISP_SEGF2)   PRZ_DIRISIN          MULDISP_SEGF2DIRREG     
#define MULDISP_SEGF2IS_OUT  (1<<MULDISP_SEGF2)   PRZ_DIRISOUT         MULDISP_SEGF2DIRREG  


#define MULDISP_SEGG2_ON     MULDISP_SEGG2OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGG2)
#define MULDISP_SEGG2_OFF    MULDISP_SEGG2OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGG2)
#define MULDISP_SEGG2_IN     MULDISP_SEGG2DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGG2)
#define MULDISP_SEGG2_OUT    MULDISP_SEGG2DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGG2)

#define MULDISP_SEGG2IS_ON   (1<<MULDISP_SEGG2)   MULDISP_SEGISON      MULDISP_SEGG2INREG 
#define MULDISP_SEGG2IS_OFF  (1<<MULDISP_SEGG2)   MULDISP_SEGISOFF     MULDISP_SEGG2INREG 
#define MULDISP_SEGG2IS_IN   (1<<MULDISP_SEGG2)   PRZ_DIRISIN          MULDISP_SEGG2DIRREG     
#define MULDISP_SEGG2IS_OUT  (1<<MULDISP_SEGG2)   PRZ_DIRISOUT         MULDISP_SEGG2DIRREG 


#define MULDISP_DP2_ON       MULDISP_SEGG2OUTREG  MULDISP_SEGON       (1<<MULDISP_DP2)
#define MULDISP_DP2_OFF      MULDISP_SEGG2OUTREG  MULDISP_SEGOFF      (1<<MULDISP_DP2)
#define MULDISP_DP2_IN       MULDISP_SEGG2DIRREG  PRZ_DIRIN           (1<<MULDISP_DP2)
#define MULDISP_DP2_OUT      MULDISP_SEGG2DIRREG  PRZ_DIROUT          (1<<MULDISP_DP2)

#define MULDISP_DP2IS_ON     (1<<MULDISP_DP2)     MULDISP_SEGISON      MULDISP_DP2INREG 
#define MULDISP_DP2IS_OFF    (1<<MULDISP_DP2)     MULDISP_SEGISOFF     MULDISP_DP2INREG 
#define MULDISP_DP2IS_IN     (1<<MULDISP_DP2)     PRZ_DIRISIN          MULDISP_DP2DIRREG     
#define MULDISP_DP2IS_OUT    (1<<MULDISP_DP2)     PRZ_DIRISOUT         MULDISP_DP2DIRREG 

/**************/
/* segments 3 */
/**************/

#define MULDISP_SEGA3_ON     MULDISP_SEGA3OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGA3)
#define MULDISP_SEGA3_OFF    MULDISP_SEGA3OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGA3)
#define MULDISP_SEGA3_IN     MULDISP_SEGA3DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGA3)
#define MULDISP_SEGA3_OUT    MULDISP_SEGA3DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGA3)

#define MULDISP_SEGA3IS_ON   (1<<MULDISP_SEGA3)   MULDISP_SEGISON      MULDISP_SEGA3INREG 
#define MULDISP_SEGA3IS_OFF  (1<<MULDISP_SEGA3)   MULDISP_SEGISOFF     MULDISP_SEGA3INREG 
#define MULDISP_SEGA3IS_IN   (1<<MULDISP_SEGA3)   PRZ_DIRISIN          MULDISP_SEGA3DIRREG     
#define MULDISP_SEGA3IS_OUT  (1<<MULDISP_SEGA3)   PRZ_DIRISOUT         MULDISP_SEGA3DIRREG    


#define MULDISP_SEGB3_ON     MULDISP_SEGB3OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGB3)
#define MULDISP_SEGB3_OFF    MULDISP_SEGB3OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGB3)
#define MULDISP_SEGB3_IN     MULDISP_SEGB3DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGB3)
#define MULDISP_SEGB3_OUT    MULDISP_SEGB3DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGB3)

#define MULDISP_SEGB3IS_ON   (1<<MULDISP_SEGB3)   MULDISP_SEGISON      MULDISP_SEGB3INREG 
#define MULDISP_SEGB3IS_OFF  (1<<MULDISP_SEGB3)   MULDISP_SEGISOFF     MULDISP_SEGB3INREG 
#define MULDISP_SEGB3IS_IN   (1<<MULDISP_SEGB3)   PRZ_DIRISIN          MULDISP_SEGB3DIRREG     
#define MULDISP_SEGB3IS_OUT  (1<<MULDISP_SEGB3)   PRZ_DIRISOUT         MULDISP_SEGB3DIRREG  
  
/*
#define MULDISP_SEGC3_ON     MULDISP_SEGC3OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGC3)
#define MULDISP_SEGC3_OFF    MULDISP_SEGC3OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGC3)
#define MULDISP_SEGC3_IN     MULDISP_SEGC3DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGC3)
#define MULDISP_SEGC3_OUT    MULDISP_SEGC3DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGC3)

#define MULDISP_SEGC3IS_ON   (1<<MULDISP_SEGC3)   MULDISP_SEGISON      MULDISP_SEGC3INREG 
#define MULDISP_SEGC3IS_OFF  (1<<MULDISP_SEGC3)   MULDISP_SEGISOFF     MULDISP_SEGC3INREG 
#define MULDISP_SEGC3IS_IN   (1<<MULDISP_SEGC3)   PRZ_DIRISIN          MULDISP_SEGC3DIRREG     
#define MULDISP_SEGC3IS_OUT  (1<<MULDISP_SEGC3)   PRZ_DIRISOUT         MULDISP_SEGC3DIRREG  


#define MULDISP_SEGD3_ON     MULDISP_SEGD3OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGD3)
#define MULDISP_SEGD3_OFF    MULDISP_SEGD3OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGD3)
#define MULDISP_SEGD3_IN     MULDISP_SEGD3DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGD3)
#define MULDISP_SEGD3_OUT    MULDISP_SEGD3DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGD3)

#define MULDISP_SEGD3IS_ON   (1<<MULDISP_SEGD3)   MULDISP_SEGISON      MULDISP_SEGD3INREG 
#define MULDISP_SEGD3IS_OFF  (1<<MULDISP_SEGD3)   MULDISP_SEGISOFF     MULDISP_SEGD3INREG 
#define MULDISP_SEGD3IS_IN   (1<<MULDISP_SEGD3)   PRZ_DIRISIN          MULDISP_SEGD3DIRREG     
#define MULDISP_SEGD3IS_OUT  (1<<MULDISP_SEGD3)   PRZ_DIRISOUT         MULDISP_SEGD3DIRREG 
*/

#define MULDISP_SEGE3_ON     MULDISP_SEGE3OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGE3)
#define MULDISP_SEGE3_OFF    MULDISP_SEGE3OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGE3)
#define MULDISP_SEGE3_IN     MULDISP_SEGE3DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGE3)
#define MULDISP_SEGE3_OUT    MULDISP_SEGE3DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGE3)

#define MULDISP_SEGE3IS_ON   (1<<MULDISP_SEGE3)   MULDISP_SEGISON      MULDISP_SEGE3INREG 
#define MULDISP_SEGE3IS_OFF  (1<<MULDISP_SEGE3)   MULDISP_SEGISOFF     MULDISP_SEGE3INREG 
#define MULDISP_SEGE3IS_IN   (1<<MULDISP_SEGE3)   PRZ_DIRISIN          MULDISP_SEGE3DIRREG     
#define MULDISP_SEGE3IS_OUT  (1<<MULDISP_SEGE3)   PRZ_DIRISOUT         MULDISP_SEGE3DIRREG  
 

#define MULDISP_SEGF3_ON     MULDISP_SEGF3OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGF3)
#define MULDISP_SEGF3_OFF    MULDISP_SEGF3OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGF3)
#define MULDISP_SEGF3_IN     MULDISP_SEGF3DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGF3)
#define MULDISP_SEGF3_OUT    MULDISP_SEGF3DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGF3)

#define MULDISP_SEGF3IS_ON   (1<<MULDISP_SEGF3)   MULDISP_SEGISON      MULDISP_SEGF3INREG 
#define MULDISP_SEGF3IS_OFF  (1<<MULDISP_SEGF3)   MULDISP_SEGISOFF     MULDISP_SEGF3INREG 
#define MULDISP_SEGF3IS_IN   (1<<MULDISP_SEGF3)   PRZ_DIRISIN          MULDISP_SEGF3DIRREG     
#define MULDISP_SEGF3IS_OUT  (1<<MULDISP_SEGF3)   PRZ_DIRISOUT         MULDISP_SEGF3DIRREG  


#define MULDISP_SEGG3_ON     MULDISP_SEGG3OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGG3)
#define MULDISP_SEGG3_OFF    MULDISP_SEGG3OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGG3)
#define MULDISP_SEGG3_IN     MULDISP_SEGG3DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGG3)
#define MULDISP_SEGG3_OUT    MULDISP_SEGG3DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGG3)

#define MULDISP_SEGG3IS_ON   (1<<MULDISP_SEGG3)   MULDISP_SEGISON      MULDISP_SEGG3INREG 
#define MULDISP_SEGG3IS_OFF  (1<<MULDISP_SEGG3)   MULDISP_SEGISOFF     MULDISP_SEGG3INREG 
#define MULDISP_SEGG3IS_IN   (1<<MULDISP_SEGG3)   PRZ_DIRISIN          MULDISP_SEGG3DIRREG     
#define MULDISP_SEGG3IS_OUT  (1<<MULDISP_SEGG3)   PRZ_DIRISOUT         MULDISP_SEGG3DIRREG 


#define MULDISP_DP3_ON       MULDISP_SEGG3OUTREG  MULDISP_SEGON       (1<<MULDISP_DP3)
#define MULDISP_DP3_OFF      MULDISP_SEGG3OUTREG  MULDISP_SEGOFF      (1<<MULDISP_DP3)
#define MULDISP_DP3_IN       MULDISP_SEGG3DIRREG  PRZ_DIRIN           (1<<MULDISP_DP3)
#define MULDISP_DP3_OUT      MULDISP_SEGG3DIRREG  PRZ_DIROUT          (1<<MULDISP_DP3)

#define MULDISP_DP3IS_ON     (1<<MULDISP_DP3)     MULDISP_SEGISON      MULDISP_DP3INREG 
#define MULDISP_DP3IS_OFF    (1<<MULDISP_DP3)     MULDISP_SEGISOFF     MULDISP_DP3INREG 
#define MULDISP_DP3IS_IN     (1<<MULDISP_DP3)     PRZ_DIRISIN          MULDISP_DP3DIRREG     
#define MULDISP_DP3IS_OUT    (1<<MULDISP_DP3)     PRZ_DIRISOUT         MULDISP_DP3DIRREG


/**************/
/* segments 4 */
/**************/

#define MULDISP_SEGBC4_ON    MULDISP_SEGBC4OUTREG MULDISP_SEGON       (1<<MULDISP_SEGBC4)
#define MULDISP_SEGBC4_OFF   MULDISP_SEGBC4OUTREG MULDISP_SEGOFF      (1<<MULDISP_SEGBC4)
#define MULDISP_SEGBC4_IN    MULDISP_SEGBC4DIRREG PRZ_DIRIN           (1<<MULDISP_SEGBC4)
#define MULDISP_SEGBC4_OUT   MULDISP_SEGBC4DIRREG PRZ_DIROUT          (1<<MULDISP_SEGBC4)

#define MULDISP_SEGBC4IS_ON  (1<<MULDISP_SEGBC4)  MULDISP_SEGISON      MULDISP_SEGBC4INREG 
#define MULDISP_SEGBC4IS_OFF (1<<MULDISP_SEGBC4)  MULDISP_SEGISOFF     MULDISP_SEGBC4INREG 
#define MULDISP_SEGBC4IS_IN  (1<<MULDISP_SEGBC4)  PRZ_DIRISIN          MULDISP_SEGBC4DIRREG     
#define MULDISP_SEGBC4IS_OUT (1<<MULDISP_SEGBC4)  PRZ_DIRISOUT         MULDISP_SEGBC4DIRREG 


#define MULDISP_SEGG4_ON     MULDISP_SEGG4OUTREG  MULDISP_SEGON       (1<<MULDISP_SEGG4)
#define MULDISP_SEGG4_OFF    MULDISP_SEGG4OUTREG  MULDISP_SEGOFF      (1<<MULDISP_SEGG4)
#define MULDISP_SEGG4_IN     MULDISP_SEGG4DIRREG  PRZ_DIRIN           (1<<MULDISP_SEGG4)
#define MULDISP_SEGG4_OUT    MULDISP_SEGG4DIRREG  PRZ_DIROUT          (1<<MULDISP_SEGG4)

#define MULDISP_SEGG4IS_ON   (1<<MULDISP_SEGG4)   MULDISP_SEGISON      MULDISP_SEGG4INREG 
#define MULDISP_SEGG4IS_OFF  (1<<MULDISP_SEGG4)   MULDISP_SEGISOFF     MULDISP_SEGG4INREG 
#define MULDISP_SEGG4IS_IN   (1<<MULDISP_SEGG4)   PRZ_DIRISIN          MULDISP_SEGG4DIRREG     
#define MULDISP_SEGG4IS_OUT  (1<<MULDISP_SEGG4)   PRZ_DIRISOUT         MULDISP_SEGG4DIRREG 

/**************/
/* signs      */
/**************/

#define MULDISP_BAT_ON       MULDISP_BATOUTREG    MULDISP_SEGON       (1<<MULDISP_BAT)
#define MULDISP_BAT_OFF      MULDISP_BATOUTREG    MULDISP_SEGOFF      (1<<MULDISP_BAT)
#define MULDISP_BAT_IN       MULDISP_BATDIRREG    PRZ_DIRIN           (1<<MULDISP_BAT)
#define MULDISP_BAT_OUT      MULDISP_BATDIRREG    PRZ_DIROUT          (1<<MULDISP_BAT)

#define MULDISP_BATIS_ON     (1<<MULDISP_BAT)     MULDISP_SEGISON      MULDISP_BATINREG 
#define MULDISP_BATIS_OFF    (1<<MULDISP_BAT)     MULDISP_SEGISOFF     MULDISP_BATINREG 
#define MULDISP_BATIS_IN     (1<<MULDISP_BAT)     PRZ_DIRISIN          MULDISP_BATDIRREG     
#define MULDISP_BATIS_OUT    (1<<MULDISP_BAT)     PRZ_DIRISOUT         MULDISP_BATDIRREG


#define MULDISP_HV_ON        MULDISP_HVOUTREG     MULDISP_SEGON       (1<<MULDISP_HV)
#define MULDISP_HV_OFF       MULDISP_HVOUTREG     MULDISP_SEGOFF      (1<<MULDISP_HV)
#define MULDISP_HV_IN        MULDISP_HVDIRREG     PRZ_DIRIN           (1<<MULDISP_HV)
#define MULDISP_HV_OUT       MULDISP_HVDIRREG     PRZ_DIROUT          (1<<MULDISP_HV)

#define MULDISP_HVIS_ON      (1<<MULDISP_HV)      MULDISP_SEGISON      MULDISP_HVINREG 
#define MULDISP_HVIS_OFF     (1<<MULDISP_HV)      MULDISP_SEGISOFF     MULDISP_HVINREG 
#define MULDISP_HVIS_IN      (1<<MULDISP_HV)      PRZ_DIRISIN          MULDISP_HVDIRREG     
#define MULDISP_HVIS_OUT     (1<<MULDISP_HV)      PRZ_DIRISOUT         MULDISP_HVDIRREG

/**************/
/* BACKPLANE  */
/**************/

#define MULDISP_BACK_ON      MULDISP_BACKOUTREG   MULDISP_SEGON       (1<<MULDISP_BACK)
#define MULDISP_BACK_OFF     MULDISP_BACKOUTREG   MULDISP_SEGOFF      (1<<MULDISP_BACK)
#define MULDISP_BACK_IN      MULDISP_BACKDIRREG   PRZ_DIRIN           (1<<MULDISP_BACK)
#define MULDISP_BACK_OUT     MULDISP_BACKDIRREG   PRZ_DIROUT          (1<<MULDISP_BACK)

#define MULDISP_BACKIS_ON    (1<<MULDISP_BACK)    MULDISP_SEGISON      MULDISP_BACKINREG 
#define MULDISP_BACKIS_OFF   (1<<MULDISP_BACK)    MULDISP_SEGISOFF     MULDISP_BACKINREG 
#define MULDISP_BACKIS_IN    (1<<MULDISP_BACK)    PRZ_DIRISIN          MULDISP_BACKDIRREG     
#define MULDISP_BACKIS_OUT   (1<<MULDISP_BACK)    PRZ_DIRISOUT         MULDISP_BACKDIRREG 
